> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Update logging configuration credentials

PUT https://api.contentful.com/organizations/{organization_id}/logging_configurations/{configuration_id}/credentials
Content-Type: application/vnd.contentful.management.v1+json

Replaces credentials for an existing logging configuration. The destination type cannot be changed via this endpoint.

Reference: https://contentful.com/developers/docs/references/content-management-api/enterprise-observability/update-logging-configuration-credentials

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — Id of the organization
- `configuration_id` (string, required) — Id of the logging configuration

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 200

OK - Request successful

- `map from string to any`

## Errors

### 400 Bad Request Error

Bad Request - Credentials do not match the destination type of the existing configuration

- `map from string to any`

### 404 Not Found Error

Not Found

- `map from string to any`

## Examples

**Request**

```json
{
  "bucketName": "my-log-bucket",
  "iamArn": "arn:aws:iam::123456789012:role/contentful-logs",
  "region": "us-east-1"
}
```

**Response**

```json
{}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```javascript JavaScript
SDK currently doesn't implement this endpoint.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```